# Renew a Card
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/renew-card/index.md

## Test case -- Success -- Renew a Card with a Virtual Card {#test-case--success--renew-a-card-with-a-virtual-card}

This test case describes renewing an existing card with a virtual card.

For this test case, use the following information in the request:

|     Field     | Available value |
|---------------|-----------------|
| `reissueType` | RENEW_D         |

**Sample request**

`POST /cards/70001/plastics`

```JSON
{
    "newCardExpiryDate": "3004",
    "newCbsNumber": "CBS15863242747061",
    "reissueType": "RENEW_D"
}
```

**Sample response**

`201`  

`Location: /cards/70001`

```JSON
{
    "newCardContractId": 70001,
    "newCardContractNumber": "535555______5312",
    "newCardExpiryDate": "3004",
    "newSequenceNumber": "2",
    "plasticId": 2188792
}
```

## Test case -- Success -- Renew a Card with a Physical Card {#test-case--success--renew-a-card-with-a-physical-card}

This test case describes renewing an existing card with a physical card.

For this test case, use the following information in the request:

|     Field     | Available value |
|---------------|-----------------|
| `reissueType` | RENEW           |

**Sample request**

`POST /cards/70001/plastics`

```JSON
{
    "newCardExpiryDate": "3004",
    "newCbsNumber": "CBS15863242747061",
    "reissueType": "RENEW"
}
```

**Sample response**

`201`  

`Location: /cards/70001`

```JSON
{
    "newCardContractId": 70001,
    "newCardContractNumber": "535555______5312",
    "newCardExpiryDate": "3004",
    "newSequenceNumber": "2",
    "plasticId": 2188792
}
```

## Test case -- Fail -- Reissue type not supported {#test-case--fail--reissue-type-not-supported}

This test case describes an attempt to renew a card while the provided `reissueType` value is not configured in the CMS for a specified card contract.

For this test case, use the following information in the request:

|   Path parameter   | Available value |
|--------------------|-----------------|
| `card_contract_id` | 30003           |

|     Field     | Available value |
|---------------|-----------------|
| `reissueType` | RENEW           |
|               | RENEW_D         |

**Sample request**

`POST /cards/30003/plastics`

```JSON
{
    "newCardExpiryDate": "3004",
    "newCbsNumber": "CBS15863242747061",
    "reissueType": "RENEW"
}
```

**Sample response**

`400`

```JSON
{
    "Errors": {
        "Error": [
            {
                "Source": "MASTERCARD PROCESSING",
                "ReasonCode": "REISSUE_TYPE_NOT_SUPPORTED",
                "Description": "Reissue type RENEW is not supported for card contract with id 30003.",
                "Recoverable": false
            }
        ]
    }
}
```

